> ## Documentation Index
> Fetch the complete documentation index at: https://docs.oktolabs.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Boards

> List boards for the current user. view: my|shared|all.



## OpenAPI

````yaml /openapi.json get /api/v1/boards
openapi: 3.1.0
info:
  description: >-
    Okto Pulse REST API schema generated from okto-pulse-core 0.2.0 source for
    docs.oktolabs.ai.
  title: Okto Pulse
  version: 0.2.0
servers: []
security: []
paths:
  /api/v1/boards:
    get:
      tags:
        - boards
      summary: List Boards
      description: 'List boards for the current user. view: my|shared|all.'
      operationId: list_boards_api_v1_boards_get
      parameters:
        - in: query
          name: offset
          required: false
          schema:
            default: 0
            minimum: 0
            title: Offset
            type: integer
        - in: query
          name: limit
          required: false
          schema:
            default: 20
            maximum: 100
            minimum: 1
            title: Limit
            type: integer
        - in: query
          name: view
          required: false
          schema:
            default: my
            enum:
              - my
              - shared
              - all
            title: View
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/BoardSummary'
                title: Response List Boards Api V1 Boards Get
                type: array
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - HTTPBearer: []
components:
  schemas:
    BoardSummary:
      description: Schema for board summary (without nested items).
      properties:
        created_at:
          format: date-time
          title: Created At
          type: string
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        id:
          title: Id
          type: string
        name:
          title: Name
          type: string
        owner_id:
          title: Owner Id
          type: string
        realm_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Realm Id
        settings:
          anyOf:
            - $ref: '#/components/schemas/BoardSettings'
            - type: 'null'
        updated_at:
          format: date-time
          title: Updated At
          type: string
      required:
        - id
        - name
        - description
        - owner_id
        - created_at
        - updated_at
      title: BoardSummary
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    BoardSettings:
      description: Board-level settings for governance rules.
      properties:
        bug_test_gate_min_severity:
          default: minor
          title: Bug Test Gate Min Severity
          type: string
        cognitive_llm_config:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Cognitive Llm Config
        max_drift:
          default: 50
          title: Max Drift
          type: integer
        max_scenarios_per_card:
          default: 3
          title: Max Scenarios Per Card
          type: integer
        max_spec_ambiguity:
          default: 30
          title: Max Spec Ambiguity
          type: integer
        min_completeness:
          default: 80
          title: Min Completeness
          type: integer
        min_confidence:
          default: 70
          title: Min Confidence
          type: integer
        min_spec_assertiveness:
          default: 80
          title: Min Spec Assertiveness
          type: integer
        min_spec_completeness:
          default: 80
          title: Min Spec Completeness
          type: integer
        require_spec_validation:
          default: false
          title: Require Spec Validation
          type: boolean
        require_task_validation:
          default: false
          title: Require Task Validation
          type: boolean
        require_test_task_for_bug:
          default: true
          title: Require Test Task For Bug
          type: boolean
        skip_contract_coverage_global:
          default: false
          title: Skip Contract Coverage Global
          type: boolean
        skip_decisions_coverage_global:
          default: false
          title: Skip Decisions Coverage Global
          type: boolean
        skip_rules_coverage_global:
          default: false
          title: Skip Rules Coverage Global
          type: boolean
        skip_test_coverage_global:
          default: false
          title: Skip Test Coverage Global
          type: boolean
        skip_test_evidence_global:
          default: false
          title: Skip Test Evidence Global
          type: boolean
        skip_trs_coverage_global:
          default: false
          title: Skip Trs Coverage Global
          type: boolean
      title: BoardSettings
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````